> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/classic-tokenization/ja/ysuksu/batchifairuwoshitetkunwosuru/batchifairu-1.md).

# 出力バッチファイル構造

## 出力バッチファイルの構造 <a href="#batch-file-output-structure" id="batch-file-output-structure"></a>

出力ファイルは入力バッチファイルと類似した構造を持ちます。

出力ファイルの構造は次のとおりです：

| NAME           | TYPE   | SIZE | M/O/C | 説明                                                                           |
| -------------- | ------ | ---- | ----- | ---------------------------------------------------------------------------- |
| header         | Object | -    | M     | トークン同期結果の要約。                                                                 |
| recordsResults | Array  | -    | C     | <p>レコードの配列。<br>各レコードは操作の結果を含みます。ファイルレベルのエラーが発生した場合、このフィールドは存在しないことがあります。</p> |

### Header <a href="#header" id="header"></a>

ヘッダーは次の構造を持ちます：

| NAME         | TYPE   | SIZE | M/O/C | 説明                                                                                                              |
| ------------ | ------ | ---- | ----- | --------------------------------------------------------------------------------------------------------------- |
| batchId      | String | 48   | M     | 入力ファイルのバッチヘッダーからの識別子。                                                                                           |
| seqNumber    | String | 48   | M     | 入力ファイルのバッチヘッダーからのシーケンス番号。                                                                                       |
| issuerId     | String | 48   | M     | 入力ファイルのバッチヘッダーからのイシュア識別子。                                                                                       |
| operation    | String | 48   | M     | 入力ファイルのバッチヘッダーからの操作。                                                                                            |
| totalRecords | 整数     | N/A  | M     | レポートに含まれるレコードの総数。                                                                                               |
| errorCode    | String | 3    | C     | ファイルレベルのエラーが発生した場合にのみ存在します。参照： [エラーコード](/classic-tokenization/ja/ysuksu/batchifairuwoshitetkunwosuru/erkdo.md). |

### レコード結果 <a href="#records-result" id="records-result"></a>

各レコードは次の構造を持ちます：

| NAME                          | TYPE   | SIZE | M/O/C | 説明                |
| ----------------------------- | ------ | ---- | ----- | ----------------- |
| rowId                         | 整数     | -    | M     | 入力バッチファイルで提供された値。 |
| virtualCardRegistrationResult | Object | -    | M     |                   |

#### バーチャルカード登録結果 <a href="#virtual-card-registration-result" id="virtual-card-registration-result"></a>

| NAME      | TYPE        | SIZE | M/O/C | 説明                                                                                                                   |
| --------- | ----------- | ---- | ----- | -------------------------------------------------------------------------------------------------------------------- |
| status    | String      | 2    | M     | <p>- OK（バッチ登録が正常に完了しました。）<br>- KO（バッチ登録が失敗しました。）</p>                                                                 |
| card      | カード（オブジェクト） | N/A  | M     | カード識別データと結果を含むオブジェクト。                                                                                                |
| errorCode | String      | 3    | C     | 返されるエラーコード（ `status` は `KO`の場合）。参照： [エラーコード](/classic-tokenization/ja/ysuksu/batchifairuwoshitetkunwosuru/erkdo.md). |

**カード**

| NAME           | TYPE   | SIZE   | M/O/C | 説明                                                                                                                   |
| -------------- | ------ | ------ | ----- | -------------------------------------------------------------------------------------------------------------------- |
| id             | String | 1...48 | M     | イシュアによって割り当てられた一意の識別子。                                                                                               |
| status         | String | 2      | M     | <p>- OK（カードレコードの登録が正常に完了しました。）<br>- KO（カードレコードの登録が失敗しました。）</p>                                                       |
| virtualCardIds | 文字列の配列 | N/A    | O     | TIGがそのカードに対して登録する仮想カードIDの一覧。                                                                                         |
| errorCode      | String | 3      | C     | 返されるエラーコード（ `status` は `KO`の場合）。参照： [エラーコード](/classic-tokenization/ja/ysuksu/batchifairuwoshitetkunwosuru/erkdo.md). |

### バッチファイルの例 <a href="#batch-file-example" id="batch-file-example"></a>

<br>

```json
{"header":
    {
        "batchId":"0000000000001111111111FF",
        "seqNumber":"001",
        "operation":"VIRTUAL_CARD_REGISTRATION",
        "issuerId":"BANK_PQRST",
        "totalRecords":1
    },
    "recordsResults":
        [
            {"rowId":0,
                "virtualCardRegistrationResult":{
                    "card": {
                                "id":"cms_f71b83a3-75da-4056-82a6-2d6128555463",
                                "status":"OK",
                                "virtualCardIds":["c05f9cf0-40f9-11ee-a782-af4a746b","c05f75e1-40f9-11ee-9761-af4a746b"],
                            }
            }
        ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.payments.thalescloud.io/classic-tokenization/ja/ysuksu/batchifairuwoshitetkunwosuru/batchifairu-1.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
